#include <iostream>
#include "sfilterprocess.h"
#include <QCoreApplication>
#include <QLocale>
#include <QDate>

using namespace std;
int main(int argc, char *argv[])
{
    cout << "build date : ";
    cout << QLocale("en_US").toDate(QString(__DATE__).simplified(), "MMM d yyyy").toString("yyyy-MM-dd").toStdString();
    cout << " ";
    cout << QString(__TIME__).toStdString() << endl;
    SFilterProcess filter;

    if (argc != 3)
    {
        cout << "check argument " << endl;
        return -1;
    }


    if (!filter.init(argv[1], argv[2]))
    //if (!filter.init(QString::number(370), "Check"))
    {
        cout << "filter init error" << endl;
        exit(1);
    }

    if (!filter.run())
    {
        cout << "filter run error" << endl;
        exit(1);
    }

    return 0;
}
